#
# spec file for package id3lib (Version 3.8.0pre1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  doxygen gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils doxygen e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         id3lib
Copyright:    LGPL
Group:	      System Environment/Libraries
Group:        Applications/Sound
Autoreqprov:  on
Version:      3.8.0pre1
Release:      57
Source0:      %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.diff
URL:          http://%{name}.sourceforge.net/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Library for manipulating ID3v1 and ID3v2 tags

%description
This package provides a software library for manipulating ID3v1 and ID3v2
tags.
It provides a convenient interface for software developers to include
standards-compliant ID3v1/2 tagging capabilities in their applications.
Features include identification of valid tags, automatic size conversions,
(re)synchronisation of tag frames, seamless tag (de)compression, and optional
padding facilities.

Authors:
--------
    Scott Thomas Haug <scott@id3.org> 
    John Adcock <johnadcock@hotmail.com> 
    Dirk Mahoney <dirk@id3.org> 
    

SuSE series: snd

%package	devel
Summary:      Documentation and headers for id3lib
Group:		Development/Libraries
Requires:       %{name}

%description	devel
This package contains the headers and documentation of the id3lib API that
programmers will need to develop applications which will use id3lib,
the software library for ID3v1 and ID3v2 tag manipulation.

Authors:
--------
    Scott Thomas Haug <scott@id3.org> 
    John Adcock <johnadcock@hotmail.com> 
    Dirk Mahoney <dirk@id3.org> 
    

SuSE series: snd

%package        examples
Summary:      Example applications for id3lib library
Group:		Applications/File
Requires:       %{name}

%description	examples
This package contains simple example applications that make use of id3lib, a
software library for ID3v1 and ID3v2 tag maniuplation.

Authors:
--------
    Scott Thomas Haug <scott@id3.org> 
    John Adcock <johnadcock@hotmail.com> 
    Dirk Mahoney <dirk@id3.org> 
    

SuSE series: snd

%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
	    --prefix=%{_prefix}  \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir} \
	    --enable-debug=no
uname -a|grep SMP && make -j 2 || make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make docs
# strip down the doc and examples directories so we can copy w/impunity
for i in doc/ examples/; do \
    find ./$i  -name 'Makefile*' -exec rm {} \; ; done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO
%{_prefix}/lib/*.so.*

%files devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO
%{_prefix}/include/id3*.h
%{_prefix}/include/id3
%{_prefix}/lib/*.la
%{_prefix}/lib/*.a
%{_prefix}/lib/*.so
%doc doc/*.* doc/api

%files examples
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO
%{_prefix}/bin/id3*
%doc examples

%changelog -n id3lib
* Mon Aug 27 2001 - rvasice@suse.cz
- fix to build on ia64 and s390
* Thu Jun 21 2001 - rvasice@suse.cz
- initial package release (version 3.8.0)
